<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note</title>
  </head>
  <style>
    .content-table{
      margin-left: auto;
      margin-right: auto;
      align-content: center;
      border-collapse: collapse;
      margin: 25px 0;
      font-size: 0.9em;
      width: 100%;
      border-radius: 5px 5px 0 0;
      overflow: hidden;
      box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    }

    .content-table thead tr{
      background-color: #009879;
      color: #ffffff;
      text-align: left;
      font-weight: bold;
    }
    
    .content-table th,
    .content-table td {
      padding: 12px 15px;
    }

    .content-table tbody tr{
      border-bottom: 1px solid #dddddd;
    }

    .content-table tbody tr:last-of-type {
      border-bottom: 2px solid #009879;
    }

    h1 {
      text-align: center;
      color: #009879;
    }

    .button-style {
            background-color: #009879;
            color: white;
            padding: 5px 10px;
            text-align: center;
            font-size: 20px;
            margin: 10px 30px;
            border-radius: 5px 5px 5px 5px;
            overflow: hidden;
            cursor: pointer;
        }

  </style>
  <body>
    <h1>Lab 3</h1>
    <table class="content-table">
      <thead>
          <tr>
              <th>Name</th>
              <th>NPM</th>
              <th>Date of Birth</th>
          </tr>
      </thead>
      <tbody>
        {% if friends %}
          {% for friend in friends%}
          <tr>
            <td>{{ friend.name }}</td>
            <td>{{ friend.npm }}</td>
            <td>{{ friend.dob }}</td>
          </tr>
          {% endfor %}
        {% endif %}
          <!-- and so on... -->
      </tbody>
  </table>
  <button class="button-style" 
  onclick="window.location.href = 'add'">
      Add Friend
  </button>
  </body>
</html>